API referenceDocumentManager
POST /api/DocumentManager/CheckDocuments
POST
/api/DocumentManager/CheckDocumentscurl -X POST "/api/DocumentManager/CheckDocuments" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
{
"entity": 1,
"entityIds": [
"string"
]
}
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.DocumentManager.CheckDocumentsRequestDto[] | null
Response
application/json
OK
successbooleanerrorCodestring | nullerrorMessagestring | nullwarningMessagestring | nullinfoMessagestring | nullrecordCountinteger<int32>dataEtrmApiGateway.DTOs.DocumentManager.CheckDocumentResponseDto[] | null
{
"success": true,
"errorCode": "string",
"errorMessage": "string",
"warningMessage": "string",
"infoMessage": "string",
"recordCount": 0,
"data": [
{
"entity": 1,
"entityId": "string",
"hasDocument": true,
"numberOfLinkedDocuments": 0
}
]
}